{
  pkgs,
  lib,
  config,
  ...
}:
{
  home.packages = with pkgs; [
    wget
  ];

  xdg.configFile."wgetrc" = {
    enable = true;
    source = ./wgetrc;
    target = "wgetrc";
  };

  home.sessionVariables = lib.mkIf config.home.preferXdgDirectories {
    WGETRC = "${config.xdg.configHome}/wgetrc";
  };
}
